﻿using Correo.Abstractions;
using System.Collections.Generic;
using System.Linq;

namespace Correo.Mailgun.Extensions
{
    internal static class ModelExtensions
    {
        public static string ToMailgunAddress(this EmailMessage.MailAddress address)
            => $"{address.DisplayName} <{address.Address}>";

        public static string ToMailgunAddresses(this IEnumerable<EmailMessage.MailAddress> addresses)
        {
            if (addresses == null || !addresses.Any())
                return null;

            return string.Join(',', addresses.Select(z => z.ToMailgunAddress()));
        }
    }
}
